package j2eetest.ejb;

import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import javax.ejb.DuplicateKeyException;
import javax.ejb.CreateException;

public class BookMarkBean implements EntityBean {

    public Integer id;
    public String  title, url;
    EntityContext context;

    public Integer ejbCreate(Integer id, String title, String url)
                            throws DuplicateKeyException,CreateException {

        this.id    = id;
        this.title = title;
        this.url   = url;

        return this.id;
    }

    public void ejbRemove()    {}
    public void ejbLoad()      {}
    public void ejbStore()     {}
    public void ejbActivate()  { id = (Integer)context.getPrimaryKey(); }
    public void ejbPassivate() { id = null; }

    public void ejbPostCreate(Integer id, String title, String url)
                            throws DuplicateKeyException,CreateException {
    }

    public void setEntityContext(EntityContext ec) { context = ec; }
    public void unsetEntityContext() {}

    public int    getId()    { return id.intValue(); }
    public String getTitle() { return title; }
    public String getUrl()   { return url;   }

}