package j2eetest.ejb;

import java.rmi.RemoteException;
import java.util.Collection;

import javax.ejb.EJBHome;
import javax.ejb.CreateException;
import javax.ejb.DuplicateKeyException;
import javax.ejb.FinderException;

import j2eetest.ejb.BookMark;

public interface BookMarkHome extends EJBHome {

    public BookMark create(Integer id, String title, String url)
                throws CreateException, DuplicateKeyException, RemoteException;

    public BookMark   findMaxId() throws RemoteException;

    public Collection findAll()   throws RemoteException;

}