<%@ page language="java" contentType="text/html;charset=Shift_JIS"
         import="java.util.*, java.io.*,
                 javax.ejb.*, javax.rmi.*, javax.naming.*,
                 j2eetest.ejb.*" %>
<%!
    BookMarkHome bmHome;

    public void jspInit() {

        try {

            InitialContext ic = new InitialContext();
            Object        obj = ic.lookup("ejb/bookmark");
            bmHome = (BookMarkHome)
                        PortableRemoteObject.narrow(obj, BookMarkHome.class);

        } catch ( NamingException ex ) {

            ex.printStackTrace(System.err);

        }

    }

    private String getReqParam(HttpServletRequest req, String name) {
        return req.getParameter(name);
    }

%>

<%
    Collection bms;

    if (getReqParam(request, "insert") != null ) {

        Integer id = null;

        try {
            BookMark maxid = bmHome.findMaxId();
            id = new Integer(maxid.getId() + 1);
        } catch( Exception ex ) {
            id = new Integer(1);
        }
        String   title = getReqParam(request, "title");
        title = new String(title.getBytes("ISO8859-1"), "JISAutoDetect");
        String   url   = getReqParam(request, "url");

        BookMark bm    = bmHome.create(id, title, url);

    } else if ( getReqParam(request, "delete") != null ) {

        try {
            Integer id = new Integer(getReqParam(request, "id"));
            bmHome.remove(id);
        } catch( Exception ex ) {}

    }

    bms = bmHome.findAll();

%>

<html>
    <head>
        <meta http-equiv="Cache-Control" content="no-cache">
        <meta http-equiv="Pragma"        content="no-cache">
        <meta http-equiv="Expires"       content="0">
        <meta http-equiv="Content-Type"  content="Shift_JIS">
        <title>J2EE eXgpTvAvP[V</title>
    </head>
    <body><div align="center">
        <h2>ubN}[N̓o^</h2>
        <form method="post" action="bookmark.jsp">
        <table border align="center">
            <tr>
                <th>^Cg</th>
                <td><input type="text" name="title" size="50"></td>
            </tr>
            <tr>
                <th>AhX(URL)</th>
                <td><input type="text" name="url" size="100"></td>
            </tr>
        </table>
        <input type="submit" name="insert" value="o^">
<%
        if ( bms.size() > 0 ) {
%>
            <hr>
            <h3>o^ꂽubN}[N̈ꗗ</h3>
            <table border align="center">
                <tr><th>폜</th><th>^Cg</th><th>AhX(URL)</th></tr>
<%
                for ( Iterator it = bms.iterator(); it.hasNext(); ) {
                    BookMark bm = (BookMark)it.next();
%>
                    <tr>
                        <td align="center"><input type="radio" name="id" value="<%= bm.getId() %>"></td>
                        <td><%= bm.getTitle() %></td>
                        <td><a href="<%= bm.getUrl() %>"><%= bm.getUrl() %></a></td>
                    </tr>
<%
                }
%>
            </table>
            <input type="submit" name="delete" value="폜">
<%
        }
%>
        </form>
    </div></body>
</html>
